Bug 38450 - XMouseClickHandler Fails To Fire Event When a Sheet Has been "Frozen"
Summary: XMouseClickHandler Fails To Fire Event When a Sheet Has been "Frozen"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 RC2
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-UNOAPI
  Show dependency treegraph
 
Reported: 2011-06-18 10:24 UTC by gn_phelps
Modified: 2021-09-19 03:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Spreadsheet To Demonstrate XMouseClickHandler Issue (11.88 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-06-18 10:24 UTC, gn_phelps
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gn_phelps 2011-06-18 10:24:49 UTC
Created attachment 48140 [details]
Spreadsheet To Demonstrate XMouseClickHandler Issue

There seems to be an issue with the event:

com.sun.star.awt.XMouseClickHandler

When combined with sheets which have been "frozen".

The mouse click handler was created in a BASIC module and added to ThisComponent.CurrentController

If the cursor is left on the "frozen" sheet above or to the right of the frozen cells when you then switch to another sheet the mouse click event fails to fire, but if the cursor is left on the frozen sheet below or to the left of the frozen cells all is OK.

Probably easier to see issue with attached spreadsheet.

Steps to Reproduce:

1) Open attached spreadsheet "XMouseClickHandlerIssue.ods". This has some very simple BASIC code and a couple of sheets.

2) Run the menu item Test > RegisterMouseClickHandler, each cell click will now just pop up a message saying which cell you have clicked.

3) Go to Sheet 2, this sheet has been frozen at cell F5

4) Click any cell to the right or above cell F5 (The white cells)

5) Go to Sheet 1, and click any cell, note the mouse click event does not fire!

6) Go back to Sheet 2 click any cell to the left or below cell F5 (The green cells)

7) Go back to Sheet 1, and click any cell and the mouse click event is working again.

I have only been able to test this on Window XP.

I also think that this bug was spotted in OpenOffice a couple of years ago, but I can't find any evidence of anything being done to fix it. See:

http://openoffice.org/bugzilla/show_bug.cgi?id=92078

Happy to provide any further information required, or help to diagnose it further.
Comment 1 Björn Michaelsen 2011-12-23 12:25:15 UTC Comment hidden (obsolete)
Comment 2 gn_phelps 2012-01-27 10:33:35 UTC
I've checked that this bug still exists on LibreOffice 3.5.0 RC2 (and also 3.4.4)

Updating status back to NEW as indicated in the automated message, hope is the correct thing to do.
Comment 3 QA Administrators 2014-10-24 03:18:22 UTC Comment hidden (obsolete)
Comment 4 gn_phelps 2015-01-29 23:58:50 UTC
As requested I have retested and confirmed (using the attached spreadsheet) that this bug still exists, tested with:

Version: 4.3.3.2
Build ID: 9bb7eadab57b6755b1265afa86e04bf45fbfc644

On Window 7

Please let me know if there is anything else I can do to help?
Comment 5 QA Administrators 2016-02-21 08:38:14 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 16:12:28 UTC Comment hidden (obsolete)
Comment 7 gn_phelps 2017-03-23 21:11:29 UTC
As requested I have retested and confirmed that this bug still exists (using the attached spreadsheet and following the instructions in the top comment), tested with LibreOffice (from about dialogue):

Version: 5.2.5.1 (x64)
Build ID: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: en-GB (en_GB); Calc: group

On Windows 7 64Bit

Please let me know if there is anything else I can do to help?
Comment 8 QA Administrators 2018-07-18 02:39:06 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2019-08-11 09:26:04 UTC
Still repro with file.

Arch Linux 64-bit
Version: 6.4.0.0.alpha0+
Build ID: 37fc9f51a8de11d40632e8cda17ccf1fa4b1f503
CPU threads: 8; OS: Linux 5.2; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 6 August 2019
Comment 10 QA Administrators 2021-09-19 03:44:16 UTC
Dear gn_phelps,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug